POST /api/v202603/webCaptureVendor/{webCaptureVendorId}/webCaptureCredential

Create a new WebCAPture Credential for a specific vendor.

CreateWebCaptureCredentialV202603 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
webCaptureVendorId The WebCAPture Vendor identifier integer (int32) Required

Request Body

CreateVendorCredentialRequestV202603
Property Description Type
externalCredentialId Max length of 128 string
externalStatus Max length of 32 string
externalStatusDetail Max length of 128 string
Example Request Body application/json
{  "externalCredentialId": "string",  "externalStatus": "string",  "externalStatusDetail": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WebCaptureCredentialResponseV202603
Property Description Type
billCaptureClientCode Required (defined) string
externalCredentialId Required (defined) string
isActive Required (defined) boolean
providerName Required (defined) string
status Required (defined) string
statusDetail Required (defined) string
totalAccounts Required (defined) integer (int32)
username Required (defined) string
webCaptureCredentialId Required (defined) integer (int32)
webCapturePartner WebCapturePartnerResponseV202603
WebCapturePartnerResponseV202603 properties
Property Description Type
webCapturePartnerCode string
webCapturePartnerId integer (int32)
webCapturePartnerInfo string
website Required (defined) string
Example Response application/json
{  "billCaptureClientCode": "string",  "externalCredentialId": "string",  "isActive": false,  "providerName": "string",  "status": "string",  "statusDetail": "string",  "totalAccounts": 1,  "username": "string",  "webCaptureCredentialId": 1,  "webCapturePartner": {    "webCapturePartnerCode": "string",    "webCapturePartnerId": 1,    "webCapturePartnerInfo": "string"
  },  "website": "string"
}